2019-10-19 00:12 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002556FSSCPgameplaypublic2012-01-25 16:19
ReporterMeatball 
Assigned ToValathil 
PriorityhighSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.14 RC2 
Target VersionFixed in Version3.6.14 
Summary0002556: Assert: be->type != BM_TYPE_NONE (bmpman.cpp)
DescriptionThis happanes in middle of mission nr 3 in Blue Planet War In Heaven act 1 campaign or somewhere when I start it.
Additional InformationAssert: be->type != BM_TYPE_NONE
File: bmpman.cpp
Line: 1640

KERNELBASE.dll! WaitForSingleObjectEx + 57 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! SCP_DumpStack + 354 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! WinAssert + 208 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! bm_lock + 614 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! opengl_create_texture + 377 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_opengl_tcache_set_internal + 177 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_opengl_tcache_set + 118 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! opengl_render_internal + 225 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_opengl_render + 88 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_bitmap + 540 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_opengl_flip + 164 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_flip + 96 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_opengl_cleanup + 90 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gr_close + 84 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! doexit + 266 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! exit + 18 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! Warning + 701 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! brief_return_color_index + 203 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! brief_text_colorize + 254 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! brief_color_text_init + 420 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! brief_set_new_stage + 600 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! brief_do_frame + 2296 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! game_do_state + 513 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! gameseq_process_events + 237 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! game_main + 782 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! WinMain + 330 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! __tmainCRTStartup + 358 bytes
fs2_open_3_6_14_DEBUG_RC2.exe! WinMainCRTStartup + 15 bytes
kernel32.dll! BaseThreadInitThunk + 18 bytes
ntdll.dll! RtlInitializeExceptionChain + 99 bytes
ntdll.dll! RtlInitializeExceptionChain + 54 bytes
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013144

Valathil (developer)

Last edited: 2012-01-23 22:58

View 2 revisions

Did that happen after you had a different warning message and dismissed that one? If yes this happens cause the game tries to close all assets kills the mouse cursor bitmap and then tries to render the mouse cursor before shutting down.

~0013145

Valathil (developer)

Fix committed to trunk@8368.

~0013157

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8371.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-01-02 12:26 Meatball New Issue
2012-01-22 01:57 Echelon9 Priority normal => high
2012-01-22 01:57 Echelon9 Severity minor => crash
2012-01-22 01:57 Echelon9 Summary Game stop responding => Assert: be->type != BM_TYPE_NONE (bmpman.cpp)
2012-01-23 22:57 Valathil Note Added: 0013144
2012-01-23 22:58 Valathil Note Edited: 0013144 View Revisions
2012-01-23 23:11 Valathil Changeset attached => fs2open trunk r8368
2012-01-23 23:11 Valathil Note Added: 0013145
2012-01-23 23:11 Valathil Status new => resolved
2012-01-23 23:11 Valathil Resolution open => fixed
2012-01-23 23:11 Valathil Assigned To => Valathil
2012-01-23 23:11 Valathil Status resolved => assigned
2012-01-23 23:11 Valathil Status assigned => resolved
2012-01-23 23:11 Valathil Fixed in Version => 3.6.14
2012-01-25 16:19 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8371
2012-01-25 16:19 chief1983 Note Added: 0013157
+Issue History